### Enumeration

# ECal ComponentClassification

#### Declaration

    enum ECal.ComponentClassification

#### Description [src]

CLASSIFICATION property.

#### Members

`E_CAL_COMPONENT_CLASS_NONE`

  None.

  - Value: `0`
  - Available since: 2.0
`E_CAL_COMPONENT_CLASS_PUBLIC`

  Public.

  - Value: `1`
  - Available since: 2.0
`E_CAL_COMPONENT_CLASS_PRIVATE`

  Private.

  - Value: `2`
  - Available since: 2.0
`E_CAL_COMPONENT_CLASS_CONFIDENTIAL`

  Confidential.

  - Value: `3`
  - Available since: 2.0
`E_CAL_COMPONENT_CLASS_UNKNOWN`

  Unknown.

  - Value: `4`
  - Available since: 2.0